import Foundation

/**
 The phase of a table
 */
enum GamePhase: String, Codable {
    
    /// The table is not yet full, so no game can be started
    case waitingForPlayers = "waiting"
    
    /// The players are specifying if they want to double ("legen")
    case collectingDoubles = "doubles"
    
    /// The game negotiation is ongoing
    case bidding = "bidding"

    /// The game must be selected by the player
    case selectGame = "select"
    
    /// The game is in progress
    case playing = "play"

    /// The player must select a card to give to the wedding offerer
    case selectWeddingCard = "wedding"
    
    /// The game is over
    case gameFinished = "done"
}
